
Application: gvSIG desktop - gvSIG bugs #2196
Error con herramienta de medir distancias
01/13/2014 07:02 PM - José Vicente Higón

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Geoprocess
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2216 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Tras realizar un buffer, al intentat utilizar la herramienta de medir distancias para comprobar el resultado han empezado a aparecer
estas excepciones:

 INFO [AWT-EventQueue-1] (AndamiEventQueue.java:62) - Error dispaching event
java.lang.NullPointerException
    at org.gvsig.crs.proj.JNIBaseCrs.operate(JNIBaseCrs.java:143)
    at org.gvsig.crs.Crs.toGeo(Crs.java:552)
    at org.gvsig.fmap.mapcontext.ViewPort.distanceWorld(ViewPort.java:700)
    at org.gvsig.app.project.documents.view.toolListeners.MeasureListener.points(MeasureListener.java:76)
    at org.gvsig.fmap.mapcontrol.tools.Behavior.PolylineBehavior.mouseMoved(PolylineBehavior.java:151)
    at org.gvsig.fmap.mapcontrol.tools.CompoundBehavior.mouseMoved(CompoundBehavior.java:262)
    at org.gvsig.fmap.mapcontrol.MapControl$MapToolListener.mouseMoved(MapControl.java:1841)
    at java.awt.Component.processMouseMotionEvent(Component.java:6434)
    at javax.swing.JComponent.processMouseMotionEvent(JComponent.java:3286)
    at java.awt.Component.processEvent(Component.java:6158)
    at java.awt.Container.processEvent(Container.java:2045)
    at java.awt.Component.dispatchEventImpl(Component.java:4750)
    at java.awt.Container.dispatchEventImpl(Container.java:2103)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4310)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
    at java.awt.Container.dispatchEventImpl(Container.java:2089)
    at java.awt.Window.dispatchEventImpl(Window.java:2518)
    at java.awt.Component.dispatchEvent(Component.java:4576)
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:672)
    at java.awt.EventQueue.access$400(EventQueue.java:96)
    at java.awt.EventQueue$2.run(EventQueue.java:631)
    at java.awt.EventQueue$2.run(EventQueue.java:629)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
    at java.awt.EventQueue$3.run(EventQueue.java:645)
    at java.awt.EventQueue$3.run(EventQueue.java:643)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:642)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

El resultado es que la herramienta deja de ser funcional.

History
#1 - 01/13/2014 07:16 PM - Álvaro Anguix
- Assignee set to Ignacio Brodín
- Priority changed from Normal to High

Quizá esté relacionado con el bug https://devel.gvsig.org/redmine/issues/2189
¿Trabajas igual que en ese caso en geográficas?
Si puedes dar algún dato más de las opciones que seleccionas podrá ayudar al desarrollador

#2 - 01/13/2014 07:42 PM - Álvaro Anguix
- Category set to Geoprocess

#3 - 01/14/2014 01:16 PM - José Vicente Higón
- File troncal_2203.zip added

Álvaro Anguix wrote:

Quizá esté relacionado con el bug https://devel.gvsig.org/redmine/issues/2189
¿Trabajas igual que en ese caso en geográficas?
Si puedes dar algún dato más de las opciones que seleccionas podrá ayudar al desarrollador

Trabajo en UTM, concretamente en EPSG:2203. Adjunto el shapefile con el que creo el buffer y luego intento medir distancias.
NOTA: Ese shapefile se ha generado con el geoproceso de reproyectar.

#4 - 01/14/2014 02:49 PM - Álvaro Anguix
- File gvSIG.log added

A mi tampoco me funciona. No veo las excepciones, pero me sale el aspa roja abajo a la izquierda. 
En la barra de estado no aparecen las distancias y entre punto y punto al clickar en pantalla tarda mucho.
En principio creo que no tiene que ver con Geoprocesos, ya que yo he añadido la capa que adjuntas y usado la herramienta de distancia.
Adjunto log (Chevy, acuérdate de adjuntarlo cuando subas un bug)
#5 - 01/16/2014 11:58 AM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#6 - 01/16/2014 04:53 PM - Joaquín  del Cerro Murciano
- Assignee changed from Ignacio Brodín to Juan Lucas Domínguez

#7 - 01/17/2014 10:13 AM - Juan Lucas Domínguez
- Status changed from New to Fixed

Fixed mesaurement method.

gvsig-desktop:r41051

#8 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

#9 - 01/27/2014 06:04 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
troncal_2203.zip 2.61 KB 01/14/2014 José Vicente Higón
gvSIG.log 185 KB 01/14/2014 Álvaro Anguix
